Page MenuHomePhabricator

Wikipedia RSS feeds show Wikidata changes very confusingly.
Open, NormalPublic

Description

The Wikipedia RSS feed system recently updated to show Wikidata edits. But it does so in a very confusing way -- the links in the RSS feed link to the recent changes to the Wikipedia article, which have nothing to do with the Wikidata edits.

For instance, I follow the mainspace article https://en.wikipedia.org/wiki/Keith_Winstein on my watchlist.
The following appeared in my RSS feed today:

	<entry>
		<id>//en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=645227289</id>
		<title>Keith Winstein</title>
		<link rel="alternate" type="text/html" href="http://en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=645227289"/>
				<updated>2015-02-01T23:21:22Z</updated>
		
		<summary type="html">update infobox for Stanford move (Jhawkinson)</summary>
		<author><name>Jhawkinson</name></author>	</entry>

	<entry>
		<id>//en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=645227289</id>
		<title>Keith Winstein</title>
		<link rel="alternate" type="text/html" href="http://en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=645227289"/>
				<updated>2015-02-01T23:21:14Z</updated>
		
		<summary type="html"> (LFaraone)</summary>
		<author><name>LFaraone</name></author>	</entry>

	<entry>
		<id>//en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=639405538</id>
		<title>Keith Winstein</title>
		<link rel="alternate" type="text/html" href="http://en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=639405538"/>
				<updated>2015-02-01T23:18:53Z</updated>
		
		<summary type="html"> (LFaraone)</summary>
		<author><name>LFaraone</name></author>	</entry>

	<entry>
		<id>//en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=639405538</id>
		<title>Keith Winstein</title>
		<link rel="alternate" type="text/html" href="http://en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=639405538"/>
				<updated>2015-02-01T23:18:11Z</updated>
		
		<summary type="html"> (LFaraone)</summary>
		<author><name>LFaraone</name></author>	</entry>

	<entry>
		<id>//en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=639405538</id>
		<title>Keith Winstein</title>
		<link rel="alternate" type="text/html" href="http://en.wikipedia.org/w/index.php?title=Keith_Winstein&amp;diff=639405538"/>
				<updated>2015-02-01T23:17:37Z</updated>
		
		<summary type="html"> (LFaraone)</summary>
		<author><name>LFaraone</name></author>	</entry>

All three edits by LFaraone are to the Wikidata page, but the links in the RSS feed are to recent changes to the mainspace page. This makes it seem like LFaraone edited the article when he didn't. It's super-confusing.

Probably the links should link to the Wikidata page, though I'm not sure they should appear there at all.
But if they do appear, they should use the history/edit summary from Wikidata, not the most recent edit to Wikipedia.

Thanks.

Event Timeline

Jhawkinson raised the priority of this task from to Needs Triage.
Jhawkinson updated the task description. (Show Details)
Jhawkinson added subscribers: Jhawkinson, lfaraone.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2015, 12:09 AM
hoo set Security to None.
hoo added subscribers: aude, hoo.
Lydia_Pintscher triaged this task as Normal priority.Feb 2 2015, 11:23 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

See also T78493.

gerritbot added a subscriber: gerritbot.

Change 188107 had a related patch set uploaded (by Aude):
Add default type param for recentchanges and watchlist query api modules

https://gerrit.wikimedia.org/r/188107

Patch-For-Review

Change 188113 had a related patch set uploaded (by Aude):
Omit 'external' changes from ChangesFeed

https://gerrit.wikimedia.org/r/188113

Patch-For-Review

Change 192194 had a related patch set uploaded (by Aude):
Exclude 'external' changes (by default) from ApiFeedWatchlist

https://gerrit.wikimedia.org/r/192194

Patch-For-Review

aude added a comment.Feb 22 2015, 3:44 PM

I think the solution is to exclude 'external' changed by default, at least for now, until we are able to support them more properly.

Looks like adding this support might require a bit of refactoring of code that handles feeds, the api modules for recent changes / watchlist, and other stuff. (or else yet more hooks and hacks)

created T90392 for watchlist feed and T90393 for the recent changes feed.

Change 188107 merged by jenkins-bot:
Add default type param for recentchanges and watchlist query api modules

https://gerrit.wikimedia.org/r/188107

Change 192194 abandoned by Aude:
Exclude 'external' changes (by default) from ApiFeedWatchlist

Reason:
this now uses the default from ApiQueryWatchlist, which is sufficient...

https://gerrit.wikimedia.org/r/192194

Change 188113 merged by jenkins-bot:
Omit 'external' changes from ChangesFeed

https://gerrit.wikimedia.org/r/188113

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 29 2016, 3:34 PM